using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using HySoft.Common;
using System.Data;

namespace HySoft.BaseCallCenter.Web.customermanage.ajax
{
    /// <summary>
    /// historyserviceinfo 的摘要说明
    /// </summary>
    public class historyserviceinfo : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/plain";
            //取得处事类型
            string action = CommonRequest.GetQueryString("action");
            switch (action)
            {
                case "gethistoryservicelist":
                    context.Response.Write(LoadHistoryServiceInfoList(context));
                    break;
            }
        }
        private string LoadHistoryServiceInfoList(HttpContext context)
        {
            string res = "";
            DataTable dt = new DataTable();
            string sql = " ";

            try
            {
                string cid = HttpUtility.UrlDecode(CommonRequest.GetQueryString("cid"));
                string strpageindex = context.Request.Params["page"];
                int pageindex = 1;
                string strpagesize = context.Request.Params["pagesize"];
                int pagesize = 10;
                if (strpageindex.Trim() != "")
                {
                    try
                    {
                        pageindex = Convert.ToInt32(strpageindex);
                    }
                    catch
                    { }
                }

                if (strpagesize.Trim() != "")
                {
                    try
                    {
                        pagesize = Convert.ToInt32(strpagesize);
                    }
                    catch
                    { }
                }
                if (cid.Trim() != "")
                {
                    sql += " and F_CUSTOMERID = '" + cid.Trim() + "'";
                }
                else { return ""; }
                int recordCount = 0;

                Model.PageData<Model.T_Wo_WorkOrderBase> pageModel = new Model.PageData<Model.T_Wo_WorkOrderBase>();

                dt = BLL.PagerBLL.GetListPager(
                    "V_WorkOrderBase",
                    "F_WORKORDERID",
                    "*",
                    sql,
                    "ORDER BY F_WORKORDERID desc",
                    pagesize,
                    pageindex,
                    true,
                    out recordCount);

                System.Collections.Generic.List<Model.T_Wo_WorkOrderBase> modelList = new BLL.T_Wo_WorkOrderBase().DataTableToList(dt);
                pageModel.Rows = modelList;
                pageModel.Total = recordCount;
                System.Runtime.Serialization.Json.DataContractJsonSerializer serializer = new System.Runtime.Serialization.Json.DataContractJsonSerializer(typeof(Model.PageData<Model.T_Wo_WorkOrderBase>));

                using (System.IO.MemoryStream stream = new System.IO.MemoryStream())
                {
                    //JSON序列化
                    serializer.WriteObject(stream, pageModel);
                    res = System.Text.Encoding.UTF8.GetString(stream.ToArray());
                }
            }
            catch (Exception err)
            {
                //res = err.ToString(); 
            }
            finally
            {
                dt.Clear();
                dt.Dispose();
            }
            return res;
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}